import {z} from "zod";

export const RankingSchema = z.array(z.object({
    name: z.string(),
    elo: z.number(),
}))

export type Ranking = z.infer<typeof RankingSchema>;

export const FightStatsSchema = z.array(z.object({
    date: z.string(),
    gamemode: z.string(),
    count: z.number(),
}))

export type FightStats = z.infer<typeof FightStatsSchema>;

export const UserStatsSchema = z.object({
    eventFightParticipation: z.number(),
    eventParticipation: z.number(),
    acceptedSchematics: z.number(),
    fights: z.number(),
    playtime: z.number()
})

export type UserStats = z.infer<typeof UserStatsSchema>;